Bug 1005507 - [abrt] yum-3.4.3-106.fc19: visit_decref: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] yum-3.4.3-106.fc19: visit_decref: Process /usr/bin/python2.7 was kille...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:bffc0ded04099fc90740563719b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 15:01 EDT by Mikhail
Modified: 2013-09-13 18:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 04:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.36 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: core_backtrace (25.50 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: dso_list (7.30 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: environ (2.21 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: maps (34.70 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: open_fds (476 bytes, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: proc_pid_status (898 bytes, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details
File: var_log_messages (10.79 KB, text/plain)
2013-09-07 15:01 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-09-07 15:01:04 EDT
Version-Release number of selected component:
yum-3.4.3-106.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python /bin/yum clean all
crash_function: visit_decref
executable:     /usr/bin/python2.7
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 visit_decref at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:429
 #1 dict_traverse at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:2122
 #2 subtract_refs at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:456
 #3 collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:999
 #4 collect_generations at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1124
 #5 _PyObject_GC_Malloc at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1585
 #6 _PyObject_GC_NewVar at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1605
 #7 PyTuple_New at /usr/src/debug/Python-2.7.5/Objects/tupleobject.c:106
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2252
 #9 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
Comment 1 Mikhail 2013-09-07 15:01:10 EDT
Created attachment 795185 [details]
File: backtrace
Comment 2 Mikhail 2013-09-07 15:01:14 EDT
Created attachment 795186 [details]
File: cgroup
Comment 3 Mikhail 2013-09-07 15:01:19 EDT
Created attachment 795187 [details]
File: core_backtrace
Comment 4 Mikhail 2013-09-07 15:01:23 EDT
Created attachment 795188 [details]
File: dso_list
Comment 5 Mikhail 2013-09-07 15:01:27 EDT
Created attachment 795189 [details]
File: environ
Comment 6 Mikhail 2013-09-07 15:01:30 EDT
Created attachment 795190 [details]
File: exploitable
Comment 7 Mikhail 2013-09-07 15:01:35 EDT
Created attachment 795191 [details]
File: limits
Comment 8 Mikhail 2013-09-07 15:01:40 EDT
Created attachment 795192 [details]
File: maps
Comment 9 Mikhail 2013-09-07 15:01:43 EDT
Created attachment 795193 [details]
File: open_fds
Comment 10 Mikhail 2013-09-07 15:01:47 EDT
Created attachment 795194 [details]
File: proc_pid_status
Comment 11 Mikhail 2013-09-07 15:01:51 EDT
Created attachment 795195 [details]
File: var_log_messages
Comment 12 Zdeněk Pavlas 2013-09-09 04:48:11 EDT
Sorry, that's a segfault during GC object traversal.. This might have 1e6 causes, but since it happens early during import of the yum.config module, it's almost certainly a hardware flaw.  Please consider running memtest or some userspace stress testing tool.
Comment 13 David Timms 2013-09-13 18:57:39 EDT
OK, ABRT duped my yum crash to this bug. My hardware is:
asus M4A79T Deluxe
AMD Phenom(tm) II X4 955 Processor × 4
64-bit
GeForce GTX 260/PCIe/SSE2 running nvidia driver: 
kmod-nvidia-3.10.10-200.fc19.x86_64-319.32-2.fc19.x86_64

# yum remove kernel-3.10.9-200.fc19.x86_64
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:3.10.9-200.fc19 will be erased
--> Processing Dependency: kernel-uname-r = 3.10.9-200.fc19.x86_64 for package: kernel-modules-extra-3.10.9-200.fc19.x86_64
--> Processing Dependency: kernel-uname-r = 3.10.9-200.fc19.x86_64 for package: 1:kmod-nvidia-3.10.9-200.fc19.x86_64-319.32-2.fc19.5.x86_64
--> Running transaction check
---> Package kernel-modules-extra.x86_64 0:3.10.9-200.fc19 will be erased
---> Package kmod-nvidia-3.10.9-200.fc19.x86_64.x86_64 1:319.32-2.fc19.5 will be erased
Segmentation fault (core dumped)
#

Mikhail: what is your hardware ?

Note You need to log in before you can comment on or make changes to this bug.